# DataExchange
TKXSBase
HeaderSection

# HeaderSection_HeaderRecognizer Class Reference

Recognizes STEP Standard Header Entities
(FileName, FileDescription, FileSchema)
.

`#include <HeaderSection_HeaderRecognizer.hxx>`

Inheritance diagram for HeaderSection_HeaderRecognizer:

[legend]

## Public Member Functions

Standard_EXPORT | HeaderSection_HeaderRecognizer ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT void | Eval (const TCollection_AsciiString &key)
| Recognizes data types of Header STEP Standard .

## Constructor & Destructor Documentation

Standard_EXPORT HeaderSection_HeaderRecognizer::HeaderSection_HeaderRecognizer | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void HeaderSection_HeaderRecognizer::Eval | ( | const TCollection_AsciiString & | key | ) | `[protected, virtual]`

| Implements StepData_FileRecognizer.

Standard_EXPORT const HeaderSection_HeaderRecognizer::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_FileRecognizer.

The documentation for this class was generated from the following file:

- HeaderSection_HeaderRecognizer.hxx